[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TComponentList.First

First non-nil instance in the list.

## Declaration

Source position: contnrs.pp line 108

`public function TComponentList.First: TComponent;`

## Function result

The first non-nil instance in the list, or Nil

## Description

First overrides the implementation of it's ancestors to return the first non-nil instance of TComponent in the list. If no non-nil instance is found, Nil is returned.

## Errors

None.

## See also

TComponentList.Last |  | Last non-nil instance in the list.
TObjectList.First |  | Return the first non-nil object in the list

Documentation generated on: Feb 26 2014